%define patch_name kernel-fix-security-owl

Name: %patch_name
Version: 2005.12.25
Release: alt1
Summary: %patch_name kernel patch - openwall security patch
License: GPL
Group: Development/Kernel
URL: http://www.openwall.com/linux/
BuildArch: noarch
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.3-alt1

# Removed Makefile modifications (EXTRAVERSION):
#   filterdiff -x'*/Makefile' <linux-2.4.25-ow1.diff
%source     0	00_linux-2.4.32-ow1.patch

%source    10	10_shm-destroy-control.patch

%description
Openwall patch for Linux kernel

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.12.25-alt1
- Updated for kernel 2.4.32.
- Updated Openwall patch to linux-2.4.32-ow1.

* Wed Jan 26 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.01.26-alt1
- Updated for kernel 2.4.29.
- Updated Openwall patch to linux-2.4.29-ow1.

* Sat Dec 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.25-alt1
- Updated for kernel 2.4.28.
- Updated Openwall patch to linux-2.4.28-ow1.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Updated Openwall patch to linux-2.4.27-ow1.

* Sun Jun 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt1
- Updated Openwall patch to linux-2.4.26-ow2.
- Removed patches (fixed upstream):
  - 11_rt-sigreturn-fix.patch
  - 12_get_modrm-fix.patch

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Updated patch to linux-2.4.26-ow1.

* Sun May 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.02-alt1
- Added:
  + 11_rt-sigreturn-fix.patch: fix MAGIC_RT_SIGRETURN handling.
  + 12_get_modrm-fix.patch: fix GCC trampoline call emulation for addressing
    modes with no index in SIB (e.g. call *0x24(%%esp,1)) and absolute base in
    SIB (e.g. call *static_var(%%eax,4)).

* Sun Mar 28 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.28-alt1
- Added:
  + 10_shm-destroy-control.patch: add kernel.shm_destroy_unused sysctl to
    control CONFIG_HARDEN_SHM state at runtime (so it can be turned off to work
    around problems in some badly written programs).

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- 2.4.25-ow1

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.08.28-alt1
- 2.4.22-owl1

* Tue Jul 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 2003.07.06-alt2
- Removed EXTRAVERSION tag from patch

* Sun Jul 06 2003 Albert R. Valiev <darkstar@altlinux.ru> 2003.07.06-alt1
- Update to ow2 patch

* Tue Jun 17 2003 Albert R. Valiev <darkstar@altlinux.ru> 2003.06.15-alt1
- Initial build

